Skip to main content
PUT
/
groups
/
{group}
Update group
curl --request PUT \
  --url https://api.postflow.app/v1/groups/{group} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "timezone": "Europe/Prague"
}
'
{
  "id": "<string>",
  "organization_id": "<string>",
  "author_id": "<string>",
  "name": "<string>",
  "timezone": "<string>",
  "approval_workflow": 0,
  "week_start_day": 0,
  "note": "<string>",
  "country": "<string>",
  "color": 1,
  "type": 1,
  "avatar": "<string>",
  "default_assignee_ids": [
    "<string>"
  ],
  "default_everyone_must_approve": true,
  "max_social_accounts": 123,
  "is_default": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "socialAccounts": [
    {
      "id": "<string>",
      "socialNetwork": "twitter",
      "organization_id": "<string>",
      "user_id": "<string>",
      "group_id": "<string>",
      "name": "<string>",
      "custom_name": "<string>",
      "username": "<string>",
      "headline": "<string>",
      "followers_count": 123,
      "verified": true,
      "profile_link": "<string>",
      "avatar_link": "<string>",
      "social_id": "<string>",
      "pi_boards": [
        {
          "id": "<string>",
          "name": "<string>",
          "privacy": "<string>",
          "description": "<string>",
          "image_cover_url": "<string>",
          "sections": []
        }
      ],
      "pi_default_board_id": "<string>",
      "pi_default_section_id": "<string>",
      "ig_shopping_product_tag_eligibility": true,
      "yt_playlists": [
        "<string>"
      ],
      "yt_categories": [
        "<string>"
      ],
      "connection_expired_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "user": {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "inviter_id": "<string>",
        "organization_id": "<string>",
        "role": "owner",
        "is_client": true,
        "can_approve": true,
        "can_connect_account": true,
        "can_access_all_groups": true,
        "self_approval": true,
        "time_format_24": true,
        "week_start_day": 0,
        "date_format": 1,
        "color": 1,
        "avatar": "<string>",
        "invited_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "open_cu_links_in_app": false,
        "groupIds": []
      }
    }
  ],
  "socialAccountsCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

group
string
required

The group ID

Body

application/json
name
string
required
Maximum string length: 50
timezone
string
required

Must be a valid timezone

Example:

"Europe/Prague"

type
enum<integer>

1 Group
2 Brand
3 Client
4 Agency
5 Campaign
6 Project

Available options:
1,
2,
3,
4,
5,
6
week_start_day
enum<integer>

0 Sunday
1 Monday
2 Tuesday
3 Wednesday
4 Thursday
5 Friday
6 Saturday

Available options:
0,
1,
2,
3,
4,
5,
6
note
string | null
Maximum string length: 500
country
string | null
max_social_accounts
number | null

Limit the max number of accounts in this group.

Required range: x >= 1
default_everyone_must_approve
boolean

Does not apply for API.

default_assignee_ids
string[] | null

Does not apply for API. List of user IDs. These users will be preselected as assignees when creating a new post in the post composer.

Response

GroupData

id
string
required
organization_id
string
required
author_id
string | null
required

The ID of the user who created the group

name
string
required
timezone
string
required
approval_workflow
enum<integer> | null
required

Approval workflow for this group. If null, the organization's default approval workflow is used

0 None
1 Loose
2 Strict

Available options:
0,
1,
2
week_start_day
enum<integer>
required

0 Sunday
1 Monday
2 Tuesday
3 Wednesday
4 Thursday
5 Friday
6 Saturday

Available options:
0,
1,
2,
3,
4,
5,
6
note
string | null
required

Internal note

country
string | null
required
color
enum<integer>
required

1 Red
2 Green
3 Blue
4 Yellow
5 Orange
6 Pink
7 Purple
8 Sky
9 Gray

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9
type
enum<integer>
required

1 Group
2 Brand
3 Client
4 Agency
5 Campaign
6 Project

Available options:
1,
2,
3,
4,
5,
6
avatar
string | null
required

URL to the profile image of the group

default_assignee_ids
string[]
required

Does not apply for API. Selected users will be pre-selected as assignees in new posts

default_everyone_must_approve
boolean
required
max_social_accounts
integer | null
required

Max number of accounts in this group. Unlimited if null

is_default
boolean
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
socialAccounts
SocialAccountData · object[]
required

List of social accounts in the group.

Data on request, you must add socialAccounts to the include parameter

socialAccountsCount
integer | null
required

Data on request, you must add socialAccountsCount to the include parameter